> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/17.-kysely-hae-maaperaaineistot.md).

# 17. Kysely: Hae "maaperäaineistot"

Hanki kaikki "SoilDatasets" valitulle "Field"-alueelle. Datasetit voidaan noutaa yleisillä GraphQL-kyselyillä kuten `getFarms` ja `getFields` liitetyltä "Field"-alueelta.&#x20;

{% hint style="warning" %}
"SoilDataset" on ladattava etukäteen.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #malli "<OperationType> <YYYY-mm-DD>"
        operationId #jos olemassa
        number #geopiirteiden kokonaismäärä
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #täydelliset tiedot per attribuutti
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #jos olemassa
          unit #jos olemassa
        }

        createdDate #entiteetin luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika
        operationType
        operationId
        operationFileDate #tiedoston luontiaika
        operationStartDate #toiminnon alkamisaika
        
        statistics { #tilastojakauma jokaista maaperäattribuuttia varten
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoKartat {
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nimi  
        operationId #jos olemassa 
        number #geopiirteiden kokonaismäärä 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #linkki tilastoon >> attribuutti
          transliteratedName
          fullName #jos olemassa
          unit #jos olemassa
        }
      
        createdDate #luontiaika GeoPardissa
        updatedDate #viimeisin päivitysaika GeoPardissa
        operationFileDate #tiedoston luontiaika (jos olemassa)
        operationStartDate #toiminnon alkamisaika (jos olemassa)
      
        statistics { #tilastollinen jakauma jokaista maaperäattribuuttia varten
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuaalinen esitys
          url
          lyhytNimi
          hexVärikoodit
          luokat
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/17.-kysely-hae-maaperaaineistot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
